# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/fakeroot /usr/bin/perl /usr/bin/stunnel /usr/bin/yodl2man perl(Date/Format.pm) perl(English.pm) perl(Socket.pm) perl(Term/ReadKey.pm) zlib-devel
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           rsync-bpc
Version:        3.1.3.0
Release:        alt1_2
Summary:        A customized version of rsync that is used as part of BackupPC
License:        GPLv3+
Group:          Networking/File transfer
URL:            https://github.com/backuppc/rsync-bpc
Source0:        https://github.com/backuppc/rsync-bpc/releases/download/%{version}/%{name}-%{version}.tar.gz
BuildRequires:  libacl-devel
BuildRequires:  libattr-devel
BuildRequires:  libpopt-devel
Source44: import.info

%description
Rsync-bpc is a customized version of rsync that is used as part of
BackupPC, an open source backup system.

The main change to rsync is adding a shim layer (in the subdirectory
backuppc, and in bpc_sysCalls.c) that emulates the system calls for
accessing the file system so that rsync can directly read/write files
in BackupPC's format.

Rsync-bpc is fully line-compatible with vanilla rsync, so it can talk
to rsync servers and clients.

Rsync-bpc serves no purpose outside of BackupPC.


%prep
%setup -q

# fix build on aarch64
cp -af /usr/share/gnu-config/config.{guess,sub} .

%build
%configure
%make_build

%install
%makeinstall_std

%files
%doc COPYING NEWS README
%{_bindir}/rsync_bpc


%changelog
* Sun Apr 10 2022 Cronbuild Service <cronbuild@altlinux.org> 3.1.3.0-alt1_2
- update by mgaimport

* Tue Nov 03 2020 Igor Vlasenko <viy@altlinux.ru> 3.1.3.0-alt1_1
- mga update

* Sat Feb 15 2020 Igor Vlasenko <viy@altlinux.ru> 3.1.2.0-alt1_2
- update by mgaimport

* Tue Mar 05 2019 Igor Vlasenko <viy@altlinux.ru> 3.1.2.0-alt1_1
- update by mgaimport

* Thu Oct 04 2018 Igor Vlasenko <viy@altlinux.ru> 3.0.9.8-alt1_3
- update by mgaimport

* Sat Jul 14 2018 Igor Vlasenko <viy@altlinux.ru> 3.0.9.8-alt1_2
- update by mgaimport

* Sun Mar 18 2018 Igor Vlasenko <viy@altlinux.ru> 3.0.9.8-alt1_1
- new version

